Esta consulta es de hace 3 años. Tenga eso en cuenta.
javi_a83f0f
javi_a83f0f
España

Plugin: escaparate_catalogo Hola, al intentar activar el...

Plugin: escaparate_catalogo

Hola, al intentar activar el plugin me arroja varios errores indicando que no estan definidas en catalogo_imprimir.php:
b_constock b_bloqueados b_publicos, etc
Y al intentar imprimir algo me da errores:
Notice: Object of class FacturaScripts\model\tarifa could not be converted to int in /.../.../facturascripts_2015/plugins/escaparate_catalogo/controller/catalogo_imprimir.php on line 114

Me interesa este plugin, puedo ayudar a financiarlo?
18-03-2018 20:20:58   22-03-2018 09:55:21   71   [jadacom]
Buenos días, intentaré solucionar esos fallos, lo que hice fue fue una copia de la página de artículos y realice unas cuantas modificaciones, y me están apareciendo varios errores en las nuevas versiones de PHP, porque yo estoy trabajando con PHP 7.0 y Linux.

¿Donde lo tienes instalado, en windows o en linux? ¿Y con qué versión de php?
Hola David, gracias x responder.
Por ahora en mi portatil, bajo linux y PHP 7.0
Si necesitas cualquier cosa, dímelo.
Actualiza a la versión 5, ya he declarado las variables que tenía vacías, creo que he puesto todas y que todos los errores que te daba venían por hay, pruebalo y me dices, y se te sale algún error me lo envías, porque yo tengo linux Mint con php7.0 y no me aparecen esos errores.
Buenas, los errores me aparecen x que tengo activo el php en modo depurador, en php.ini:
ini_set('display_errors', 'On');
Y ahora al desactivar los avisos de error si me funciona tu modulo, muy chulo !!
Voy a probarlo y te digo cosas, muchas gracias !!
Maravilloso entonces, así he corregido ciertos errores que tenía, ahora tengo que probarlo con php 7.1 y 7.2 a ver si he solucionado los errores
Seguro que hay cosas que mejorar, cualquier problema o sugerencia, me dices
Cerramos el hilo, entendiendo que queda resuelta la duda.

Un Saludo J.M.
X-Net Software Solutions
FacturaScripts


Copyright (c) 2013-2020 FacturaScripts